<?php

$now = time();
$cache = "erates.xml";
$exchrate[EUR] = 1.00;

# Exchange rates - Grab current rates from European Central Bank

# Check whether we have a recent copy of the data locally

if (($interval = $now - filemtime($cache)) > 3600 * 2) {
        $stuff = file("http://www.ecb.int/stats/eurofxref/eurofxref-daily.xml");
        $trace = "Cache REFRESHED after $interval seconds";
        $fh = fopen ($cache,"w");
        foreach ($stuff as $line) {
                fputs($fh,$line);
                }
} else {
        $stuff = file($cache);
        $trace = "Cached information reused aged $interval seconds";
        }

# Currency names that we'll use later on

$names = array (USD => "US Dollar",
        JPY => "Japanese Yen",
        DKK => "Danish Krone",
        GBP => "Pound Sterling",
        SEK => "Swedish Krona",
        CHF => "Swiss Franc",
        ISK => "Icelandic Krona",
        NOK => "Norwegian Krone",
        BGN => "Bulgarian Lev",
        CYP => "Cyprus Pound",
        CZK => "Czech Koruna",
        EEK => "Estonian Kroon",
        HUF => "Hungarian Forint",
        LTL => "Lithuanian Litas",
        LVL => "Latvian Lats",
        MTL => "Maltese Lira",
        PLN => "Polish Zloty",
        ROL => "Romanian Leu",
        SIT => "Slovenian Tolar",
        SKK => "Slovakian Koruna",
        AUD => "Australian Dollar",
        CAD => "Canadian Dollar",
        HKD => "Hong Kong Dollar",
        NZD => "New Zealand Dollar",
        SGD => "Singapore Dollar",
        KRW => "South Korean Won",
        EUR => "European Euro",
        ZAR => "South African Rand");

# Extract data from page - conversion rates between each currency and the Euro

foreach ($stuff as $line) {
        ereg("currency='([[:alpha:]]+)'",$line,$gota);
        if (ereg("rate='([[:graph:]]+)'",$line,$gotb)) {
                $_GET['xrate_' . $gota[1]] = $gotb[1];
                }
        }

function setCurrency($to) {
  $_GET['xrate_currency']='xrate_' . $to;
}

function getPrice($amount) {
  return round($amount * $_GET[$_GET['xrate_currency']] / $_GET['xrate_CAD'],2);
}
  
$_GET['xrate_currency']='xrate_CAD';
?>